> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kibocommerce.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Credits

> Retrieves a list of credit collection according to any filter criteria and sort options.



## OpenAPI

````yaml /openapi/openapi_customer.json get /commerce/customer/credits
openapi: 3.0.1
info:
  description: |-
    <div id="overview_CUSTOMER">
                <h2>CUSTOMER</h2>
                <p>The Customer API manages a customer's information, including their billing and shipping address
                    information,
                    contact information, order history, lifetime value, and more. It allows for customers to be grouped into
                    sets
                    to control the specific sites they can access using the same login credentials, as well as supports the
                    B2B
                    commerce feature that includes a hierarchy of customer accounts. For more information about customer management and the Unified Commerce Admin UI, see the <a href="/pages/b2c">general</a> and <a href="/pages/b2b">B2B</a> customers guides.</p>
                <p>Use the <strong>B2B</strong> and <strong>Customer Accounts</strong> resources to manage the components of shopper accounts, including
                    attributes, contact information, company notes, and groups associated with the customer account.</p>
                <p>Use the <strong>Address Validation</strong> resource to validate addresses associated with a customer account contact.</p>
                <p><strong>Customer Attributes</strong> are custom attributes that you can apply to customer accounts to add further
                    definition for special uses, such as marketing campaigns, or discounts. Refer to the <a href="/pages/customer-attributes">Customer
                        Attributes user guide</a> for more information.</p>
                <p>Use the <strong>Customer Credits</strong> resource to manage the store credit associated with a customer account. Store
                    credit can represent a static amount the customer can redeem at any of the tenant's sites, or a gift
                    card registered for a customer account. At this time, gift card functionality is reserved for future
                    use.</p>
                <p>Use the <strong>Customer Segments</strong> resource to manage groups of customers and target discounts for these segments. After a customer segment is defined, you can
                    associate any number of customer accounts with it. Meanwhile, the <strong>Customer Sets</strong> resource controls the specific sites your customers can access using the same
                    login credentials, as well as what My Account storefront customer information is shared between sites.</p>
                <p>Use the <strong>Visits</strong> resource to manage all visits a customer makes to a tenant's sites and measure the level
                    of transactions a customer performs during a unique visit for customer account analytics. Track customer
                    visits by site (including online and in-person interactions), the transactions a customer performs
                    during the visit, and the device type associated with the visit, if any.</p>
                <p>Use the <strong>Customer In-Stock Notification Subscription</strong> resource to manage the subscriptions customer
                    accounts use to send product notifications. This resource can send a notification when a product in a
                    catalog returns to a site's active inventory after it is out of stock, or when a new product becomes
                    available for the first time. (Not supported for bundled products.)</p>
                <p>Use the <strong>Storefront Auth Ticket</strong> resource to generate and refresh authentication tickets for
                    customer accounts.</p>
            </div>
  title: Customer
  version: 0.0.1
servers:
  - description: Kibo Base URL
    url: '{baseUrl}/api'
    variables:
      baseUrl:
        default: https://t1000000.sb.usc1.gcp.kibocommerce.com
        description: Base URL
security:
  - bearerAuth: []
paths:
  /commerce/customer/credits:
    get:
      tags:
        - Credit
      summary: Get Credits
      description: >-
        Retrieves a list of credit collection according to any filter criteria
        and sort options.
      parameters:
        - description: ''
          in: query
          name: startIndex
          schema:
            default: 0
            format: int32
            type: integer
        - description: ''
          in: query
          name: pageSize
          schema:
            default: 0
            format: int32
            type: integer
        - description: ''
          in: query
          name: sortBy
          schema:
            type: string
        - description: ''
          in: query
          name: filter
          schema:
            type: string
        - description: limits which fields are returned in the response body
          in: query
          name: responseFields
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CreditCollection'
            text/json:
              schema:
                $ref: '#/components/schemas/CreditCollection'
            text/plain:
              schema:
                $ref: '#/components/schemas/CreditCollection'
          description: OK
components:
  schemas:
    CreditCollection:
      properties:
        items:
          items:
            $ref: '#/components/schemas/CustomerCredit'
          nullable: true
          type: array
        pageCount:
          format: int32
          type: integer
        pageSize:
          format: int32
          type: integer
        startIndex:
          format: int32
          type: integer
        totalCount:
          format: int32
          type: integer
      type: object
    CustomerCredit:
      description: Represetation of a store credit or gift card.
      properties:
        activationDate:
          description: |-
            Date the credit was activated.  Null if card is not active.
            Credits must be activated before they can be used.
            ReadOnly after activation
          format: date-time
          nullable: true
          type: string
        auditInfo:
          $ref: '#/components/schemas/AdminUserAuditInfo'
        code:
          description: |-
            Unique number identifier representing this credit.
            Number may be generated or set by the Tenant
            Number is unique within the Tenant context.
            ReadOnly after credit creation
          nullable: true
          type: string
        creditType:
          description: |-
            Type of Credit.
            Mozu.Customer.Contracts.Credit.Credit.CreditTypeConst
            Required.
            ReadOnly after credit creation
          nullable: true
          type: string
        creditTypeId:
          format: int32
          type: integer
        currencyCode:
          description: Currency Code
          nullable: true
          type: string
        currentBalance:
          description: |-
            Do we want to track this here?
            Current Balance
            ReadOnly
          format: double
          nullable: true
          type: number
        customCreditType:
          description: |-
            Name of custom credit type
            Optional.
          nullable: true
          type: string
        customerId:
          description: |-
            Id of the N:Mozu.Customer
            that this credit is assigned to.
            Optional.
          format: int32
          nullable: true
          type: integer
        expirationDate:
          description: |-
            Date after which this credit is no longer valid
            Optional
            Defaults to 365 days
          format: date-time
          nullable: true
          type: string
        initialBalance:
          description: |-
            Balance assigned when credit was initially created.
            May be zero and updated later.
            ReadOnly after intial credit creation
          format: double
          nullable: true
          type: number
      type: object
    AdminUserAuditInfo:
      properties:
        createBy:
          nullable: true
          type: string
        createDate:
          format: date-time
          nullable: true
          type: string
        updateBy:
          nullable: true
          type: string
        updateDate:
          format: date-time
          nullable: true
          type: string
      type: object
  securitySchemes:
    bearerAuth:
      bearerFormat: JWT
      description: JWT Authorization header using the Bearer scheme.
      scheme: bearer
      type: http

````